Skip to navigation

Update Order

Updates B2B information on a specific order based on the bcOrderId provided.

The bcOrderId parameter must include a valid BigCommerce Order ID (not the B2B Edition order ID returned in certain Orders endpoints) for the request to be successful. You must also include at least one of the following fields in the request body:

  • poNumber
  • extraFields (array with fieldName and fieldValue)
    • This array must be included if your store has required order extra fields.

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

bcOrderIdintegerRequired
The BigCommerce order ID.

Request

This endpoint expects an object.
poNumberstringOptional

The order’s Purchase Order (PO), if used.

extraFieldslist of anyOptional
Contains extra field information associated with the order.

Response

OK
codeintegerOptionalDefaults to 200
HTTP Response Code
dataobjectOptional
metaobjectOptional

Errors

404
Not Found Error
422
Unprocessable Entity Error